//
//  screeningFirstView.m
//  Lighting
//
//  Created by 曹云霄 on 16/5/8.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "screeningFirstView.h"
#import "ScreeningFirstCollectionViewCell.h"
#import "ScreeningCollectionReusableView.h"
#define WIDTH self.frame.size.width

@implementation screeningFirstView

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/



- (void)awakeFromNib
{
    [self uiConfigAction];
}

#pragma mark -更新
- (void)setDatasArray:(NSArray *)datasArray
{
    _datasArray = datasArray;
    [self.classificationCollectionView reloadData];
}





#pragma mark -UI
- (void)uiConfigAction
{
    
    self.classificationLayout.itemSize = CGSizeMake((WIDTH-120)/4, 35);
    self.classificationLayout.minimumLineSpacing = 30;
    self.classificationLayout.minimumInteritemSpacing = 10;
    self.classificationLayout.sectionInset = UIEdgeInsetsMake(20, 20, 20, 20);
    [self.classificationCollectionView registerClass:[ScreeningFirstCollectionViewCell class] forCellWithReuseIdentifier:@"cell"];
    self.classificationCollectionView.dataSource = self;
    self.classificationCollectionView.delegate = self;
    
    
}


- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    ScreeningFirstCollectionViewCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:@"cell" forIndexPath:indexPath];
    cell.titleLabe.text = [self.datasArray objectAtIndex_opple:indexPath.row];
    return cell;
    
}

- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{
    if (self.selectedIndex == 1) {
        
        return [[self.datasArray objectAtIndex_opple:section] count];
    }
    return self.datasArray.count;
}

- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath
{
    NSLog(@"选中%ld",indexPath.item);
}

- (NSInteger)numberOfSectionsInCollectionView:(UICollectionView *)collectionView
{
    if (self.selectedIndex == 1) {
        
      return  self.datasArray.count;
    }
    return 1;
}

- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout referenceSizeForHeaderInSection:(NSInteger)section{
    if (section == 0) {
        return CGSizeMake(320, 80);
    }else{
        return CGSizeMake(320, 15);
    }
}


- (UICollectionReusableView *)collectionView:(UICollectionView *)collectionView viewForSupplementaryElementOfKind:(NSString *)kind atIndexPath:(NSIndexPath *)indexPath
{
    
}






@end
